CREATE    procedure [C6MartPeriodico].[GESTIONE_SELECT_PDF_GETDATATHREADS_CAMPIONE_DA] (@volThreads int = 10000)
AS
BEGIN
		SET NOCOUNT ON;
		DECLARE @dtrim VARCHAR(8)
		set @dtrim = c6martperiodico.gettrimestre(getDate(),0) 
		--set @dtrim = '20230331'
		SELECT * INTO #WSEIAN_1
		FROM
		(
		select codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1  as rank  
		from [C6StagingPeriodico].[WSEIAN2]
		WHERE codman = '' and dttrim = @dtrim
		UNION ALL 
		select 'FF@'+ codman as codfis, rete, flagnqp, flgprlrde, FLAGPG, FLGPROF, dttrim, 1 as rank  
		from [C6StagingPeriodico].[WSEIAN2]
		WHERE codman <> '' and dttrim = @dtrim
		)X
SELECT top(@volThreads)  
 Maledetti.[CodiceFiscale]
,Maledetti.[Rete]
,Maledetti.[tip_contratto]
,Maledetti.[NomeRete]
,Maledetti.[Agente]
,Maledetti.[CognomeAgente]
,Maledetti.[NomeAgente]
,Maledetti.[IndirizzoAgente]
,Maledetti.[CapAgente]
,Maledetti.[CittaAgente]
,Maledetti.[TelefonoAgente]
,Maledetti.[CognomeCliente]
,Maledetti.[NomeCliente]
,Maledetti.[ProfiloIsAct]
,Maledetti.[PatrimonioNonRappresentabile]
,Maledetti.[PartiteViaggiantiDisinv]
,Maledetti.[PartiteViaggiantiInv]
,Maledetti.[ContoCorrente]
,Maledetti.[PatrimonioBancaFideuramCtvAlNettoContoCorrente]
,Maledetti.[RisorseNonAssociate]
,Maledetti.[Patrimonioaltroctv]
,Maledetti.[Patrimonioimmobiliarectv]
,Maledetti.[PatrimonioTerzictv]
,Maledetti.[PatrimonioTerziCtvAlNettoContoCorrente]
,Maledetti.[PatrimonioTerziContoCorrente]
,Maledetti.[Patrimoniobancafideuramctv]
,Maledetti.[Patrimoniocomplessivototalectv]
,Maledetti.[NumeroIntermediari]
,Maledetti.[CodiceContratto]
,Maledetti.[contrattoold]
,Maledetti.[NoMonitoraggio]
,Maledetti.[descrizioneDiagnosi]
,Maledetti.[idModelloDiagnosi]
,Maledetti.[idReportDiagnosi]
,Maledetti.[descrizioneMonitoraggio]
,Maledetti.[idReportMonitoraggio]
,Maledetti.[idModelloMonitoraggio]
,Maledetti.[AdesioneSuccessivaAvanzato]
,Maledetti.[VaRRisorseNonAssociate]
,Maledetti.[CoperturaRisorseNonAssociate]
,Maledetti.[VaRTotaleRisorseFinanziarie]
,Maledetti.[CoperturaTotaleRisorseFinanziarie]
,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'D' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0)  
			AS IdReportPDFDiagnosi   
			,isnull((SELECT max(idReport) FROM c6martperiodico.GESTIONE_PDF_FTP ftp where tipoReport = 'M' 
					AND ftp.codicefiscale = Maledetti.codicefiscale AND ftp.rete = Maledetti.Rete),0) 
			AS IdReportPDFMonitoraggio,
			CASE 
				WHEN wse.flagnqp IS NULL or wse.flagnqp ='' THEN 'N'
				ELSE wse.flagnqp
			END as 'flagnqp',
			--wse.flgprlrde as 'flagprlrde',
			CASE 
				WHEN wse.flgprlrde ='' THEN NULL
				ELSE wse.flgprlrde
			END as 'flagprlrde',
			CASE 
				WHEN wse.FLAGPG IS NULL THEN 0
				ELSE wse.FLAGPG
			END as 'flagpg',
			CASE 
				WHEN wse.FLGPROF IS NULL or wse.FLGPROF ='' THEN 'N'
				ELSE wse.FLGPROF
			END as 'FLGPROF',
			scaduto as scaduto
			into #result
		FROM wh.Maledetti  Maledetti
			 left outer join #WSEIAN_1 wse 
			 on wse.codfis = Maledetti.CodICEFiscale and wse.rete = Maledetti.rete		
			--inner join  C6MartPeriodico.CRUSCOTTO_CONTRATTISEI  cdt on cdt.codicefiscale = Maledetti.i_codicefiscale and cdt.rete = Maledetti.rete
			--left join [C6MartPeriodico].[CRUSCOTTO_SCARTI_PDFGENERATOR] PDFGENERATOR on PDFGENERATOR.rete = Maledetti.i_rete and PDFGENERATOR.codicefiscale = Maledetti.i_codicefiscale 
			--left join C6MartPeriodico.tb_SegnalazioniDataQuality Quality  on Quality.rete = Maledetti.i_rete and Quality.codicefiscale = Maledetti.i_codicefiscale 
			inner join  c6martperiodico.TB_Campione_DA Campione on Maledetti.rete= Campione.rete and Maledetti.i_codicefiscale= Campione.cod_fiscale
		WHERE 1=1 
		and rank=1 
		and flag_stampa=1	
		and tip_contratto=3
order by 
 Maledetti.[CodiceFiscale]
,Maledetti.[Rete]
,Maledetti.[tip_contratto]
		--prendo quelli Fideuram Direct\ Direct Advisory
-- update t set flag_stampa=2
--		from  c6martperiodico.TB_Campione_DA t where cod_fiscale in (select CodiceFiscale from #result)
	----forzatura per Fideuram direct
	----update #result
	----set tip_contratto=3, idModelloMonitoraggio=6
	----fine forzatura per fideuram direct
	select * from #result
END